<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: City.delivery.php 4722 2006-04-21 17:08:16Z andrew@m3.net $
*/

/**
 * @package    MaxPlugins
 * @subpackage DeliveryLimitations
 * @author     Chris Nutting <chris@m3.net>
 */

/**
 * Check to see if this impression contains the valid city.
 *
 * @param string $data The city (or comma list of cities) limitation
 * @param string $ad The operator (either '==' or '!=')
 * @return boolean Whether this impression's city passes this limitation's test.
 */
function MAX_checkGeo_City($data, $ad)
{
    $data = explode('|', $data);
    $aDataCities = explode(',', $data[1]);
    if ($GLOBALS['_MAX']['CLIENT_GEO'] && $GLOBALS['_MAX']['CLIENT_GEO']['city'] && $GLOBALS['_MAX']['CLIENT_GEO']['country_code']) {
        // Evaluate country code
        $expression = ($data[0] == $GLOBALS['_MAX']['CLIENT_GEO']['country_code'] && in_array(strtolower($GLOBALS['_MAX']['CLIENT_GEO']['city']), $aDataCities));
        $operator   = $ad == '==';
        return ($expression == $operator);
    } else {
        return ($ad != '==');
    }
}

?>
